--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

package body Statuses is

    overriding
    function "="( l, r : Status ) return Boolean is
    begin
        return Hash_Type(l) = Hash_Type(r);
    end "=";

    ----------------------------------------------------------------------------

    function To_Status( id : String ) return Status is
    begin
        return Status(Ada.Strings.Hash_Case_Insensitive( id ));
    end To_Status;

end Statuses;
