--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

package body Widgets.Menu_Enumerations.Simple_Listeners is

    function Listener( obj     : access Target'Class;
                       handler : not null A_Handler ) return A_Enum_Listener is
        this : constant A_Enum_Listener := new Simple_Enum_Listener;
    begin
        Simple_Enum_Listener(this.all).Construct;
        Simple_Enum_Listener(this.all).object := obj;
        Simple_Enum_Listener(this.all).handler := handler;
        return this;
    end Listener;

    ------------------------------------------------------------------------

    overriding
    procedure Handle_Action( this   : access Simple_Enum_Listener;
                             action : A_Enum_Action ) is
    begin
        this.handler( this.object, action );
    end Handle_Action;

end Widgets.Menu_Enumerations.Simple_Listeners;
