--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

with Events.Manager;

package body Events.Application is

    procedure Queue_App_Blur is
        evt : A_Event := new Event;
    begin
        evt.Construct( "App_Blur" );
        Events.Manager.Queue_Event( evt );
    end Queue_App_Blur;

    ----------------------------------------------------------------------------

    procedure Queue_App_Focus is
        evt : A_Event := new Event;
    begin
        evt.Construct( "App_Focus" );
        Events.Manager.Queue_Event( evt );
    end Queue_App_Focus;

    ----------------------------------------------------------------------------

    procedure Queue_Close_Window is
        evt : A_Event := new Event;
    begin
        evt.Construct( "Close_Window" );
        Events.Manager.Queue_Event( evt );
    end Queue_Close_Window;

    ----------------------------------------------------------------------------

    procedure Queue_Exit_Application is
        evt : A_Event := new Event;
    begin
        evt.Construct( "Exit_Application" );
        Events.Manager.Queue_Event( evt );
    end Queue_Exit_Application;

end Events.Application;
