--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

package Values.Casting is

    generic
        type Enumeration is (<>);
    function Cast_Enum( ptr : Value_Ptr'Class; default : Enumeration ) return Enumeration;

    generic
        type Id_Type is new Unsigned_64;
    function Cast_Id( ptr : Value_Ptr'Class; default : Id_Type := 0 ) return Id_Type;

    function Cast_Int( ptr : Value_Ptr'Class; default : Integer := 0 ) return Integer;

    function Cast_String( ptr : Value_Ptr'Class; default : String := "" ) return String;

end Values.Casting;
