--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

package body Widgets.Input_Boxes.Simple_Listeners is

    function Listener( obj     : access Target'Class;
                       handler : not null A_Handler ) return A_Input_Listener is
        this : constant A_Input_Listener := new Simple_Input_Listener;
    begin
        Simple_Input_Listener(this.all).Construct;
        Simple_Input_Listener(this.all).object := obj;
        Simple_Input_Listener(this.all).handler := handler;
        return this;
    end Listener;

    ------------------------------------------------------------------------

    overriding
    procedure Handle_Action( this   : access Simple_Input_Listener;
                             action : A_Input_Action ) is
    begin
        this.handler( this.object, action );
    end Handle_Action;

end Widgets.Input_Boxes.Simple_Listeners;
