--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

package Game_Views.Ked.Menubar is

    procedure Make_Menubar( view : not null A_Ked_View;
                            win  : not null A_Window );

    -- Call this when a new map is loaded to update the menu bar
    procedure Handle_New_Map( view : not null A_Ked_View );

    -- Returns the height of the menubar in pixels
    function Get_Menubar_Height return Natural;

end Game_Views.Ked.Menubar;
