--
-- Copyright (c) 2012 Kevin Wellwood
-- All rights reserved.
--
-- This source code is distributed under the Modified BSD License. For terms and
-- conditions, see license.txt.
--

package Tools.Trigger_Spawners is

    type Trigger_Spawner is new Tool with private;

    function Create_Trigger_Spawner return A_Tool;
    pragma Postcondition( Create_Trigger_Spawner'Result /= null );

private

    type Trigger_Spawner is new Tool with null record;

    procedure Apply( this : access Trigger_Spawner; context : Tool_Context );

    function Get_Type( this : access Trigger_Spawner ) return Tool_Type;

end Tools.Trigger_Spawners;
